nfstl_plan Struct Reference

data structure for an NFST (nonequispaced fast sine transform) plan with long double precision More...

`#include <nfft3.h>`

## Public Member Functions

| FFTW_MANGLE_LONG_DOUBLE (plan) my_fftw_r2r_plan
| fftw_plan forward
| FFTW_MANGLE_LONG_DOUBLE (r2r_kind) *r2r_kind
| r2r transform type (dct-i)

## Data Fields

NFFT_INT | N_total
| Total number of Fourier coefficients.
NFFT_INT | M_total
| Total number of samples.
long double * | f_hat
| Fourier coefficients.
long double * | f
| Samples.
void(* | mv_trafo )(void *)
| Transform.
void(* | mv_adjoint )(void *)
| Adjoint transform.
NFFT_INT | d
| dimension, rank
NFFT_INT * | N
| bandwidth
NFFT_INT * | n
| length of DST-I
NFFT_INT | n_total
| Combined total length of FFTW transforms.
long double * | sigma
| oversampling-factor
NFFT_INT | m
| cut-off parameter in time-domain
long double * | b
| shape parameters
NFFT_INT | K
| Number of equispaced samples of window function.
unsigned | flags
| flags for precomputation, malloc
unsigned | fftw_flags
| flags for the fftw
long double * | x
| nodes (in time/spatial domain)
double | MEASURE_TIME_t [3]
| measured time for each step
long double ** | c_phi_inv
| precomputed data, matrix D
long double * | psi
| precomputed data, matrix B
NFFT_INT | size_psi
| only for thin B
NFFT_INT * | psi_index_g
| only for thin B
NFFT_INT * | psi_index_f
| only for thin B
long double * | g
long double * | g_hat
long double * | g1
| input of fftw
long double * | g2
| output of fftw
long double * | spline_coeffs
| input for de Boor algorithm, if B_SPLINE or SINC_2m is defined
long double | nfstl_full_psi_eps

## Detailed Description

data structure for an NFST (nonequispaced fast sine transform) plan with long double precision

Definition at line 354 of file nfft3.h.

## Field Documentation

## N_total

NFFT_INT nfstl_plan::N_total

Total number of Fourier coefficients.

Definition at line 354 of file nfft3.h.

## M_total

NFFT_INT nfstl_plan::M_total

Total number of samples.

Definition at line 354 of file nfft3.h.

## f_hat

long double* nfstl_plan::f_hat

Fourier coefficients.

Definition at line 354 of file nfft3.h.

## f

long double* nfstl_plan::f

Samples.

Definition at line 354 of file nfft3.h.

## mv_trafo

void(* nfstl_plan::mv_trafo) (void *)

Transform.

Definition at line 354 of file nfft3.h.

## mv_adjoint

void(* nfstl_plan::mv_adjoint) (void *)

Adjoint transform.

Definition at line 354 of file nfft3.h.

## d

NFFT_INT nfstl_plan::d

dimension, rank

Definition at line 354 of file nfft3.h.

## N

NFFT_INT* nfstl_plan::N

bandwidth

Definition at line 354 of file nfft3.h.

## n

NFFT_INT* nfstl_plan::n

length of DST-I

Definition at line 354 of file nfft3.h.

## n_total

NFFT_INT nfstl_plan::n_total

Combined total length of FFTW transforms.

Definition at line 354 of file nfft3.h.

## sigma

long double* nfstl_plan::sigma

oversampling-factor

Definition at line 354 of file nfft3.h.

## m

NFFT_INT nfstl_plan::m

cut-off parameter in time-domain

Definition at line 354 of file nfft3.h.

## b

long double* nfstl_plan::b

shape parameters

Definition at line 354 of file nfft3.h.

## K

NFFT_INT nfstl_plan::K

Number of equispaced samples of window function.

Used for flag PRE_LIN_PSI.

Definition at line 354 of file nfft3.h.

## flags

unsigned nfstl_plan::flags

flags for precomputation, malloc

Definition at line 354 of file nfft3.h.

## fftw_flags

unsigned nfstl_plan::fftw_flags

flags for the fftw

Definition at line 354 of file nfft3.h.

## x

long double* nfstl_plan::x

nodes (in time/spatial domain)

Definition at line 354 of file nfft3.h.

## MEASURE_TIME_t

double nfstl_plan::MEASURE_TIME_t[3]

measured time for each step

Definition at line 354 of file nfft3.h.

## c_phi_inv

long double** nfstl_plan::c_phi_inv

precomputed data, matrix D

Definition at line 354 of file nfft3.h.

## psi

long double* nfstl_plan::psi

precomputed data, matrix B

Definition at line 354 of file nfft3.h.

## size_psi

NFFT_INT nfstl_plan::size_psi

only for thin B

Definition at line 354 of file nfft3.h.

## psi_index_g

NFFT_INT* nfstl_plan::psi_index_g

only for thin B

Definition at line 354 of file nfft3.h.

## psi_index_f

NFFT_INT* nfstl_plan::psi_index_f

only for thin B

Definition at line 354 of file nfft3.h.

## g

long double* nfstl_plan::g

Definition at line 354 of file nfft3.h.

## g_hat

long double* nfstl_plan::g_hat

Definition at line 354 of file nfft3.h.

## g1

long double* nfstl_plan::g1

input of fftw

Definition at line 354 of file nfft3.h.

## g2

long double* nfstl_plan::g2

output of fftw

Definition at line 354 of file nfft3.h.

## spline_coeffs

long double* nfstl_plan::spline_coeffs

input for de Boor algorithm, if B_SPLINE or SINC_2m is defined

Definition at line 354 of file nfft3.h.

## nfstl_full_psi_eps

long double nfstl_plan::nfstl_full_psi_eps

Definition at line 354 of file nfft3.h.

The documentation for this struct was generated from the following file:

- nfft3.h